
| Name | Glossary                                                 |
| ---- | ---- |
| Gyroscope sweeper | The function of the gyroscope in the sweeping robot is mainly to determine the walking direction of the robot. In conjunction with the indoor navigation and positioning system, the running status of the walking motor can accurately locate the XOY coordinates. When walking around obstacles, record the direction of the bypass to avoid repeated walking of the robot, avoid repeated cleaning, and improve the cleaning efficiency. Calculate the robot's walking route through software, and make travel records. Through sweeping path coverage algorithm, complete the sweeping plan and save it; during the movement, you can detect the robot's horizontal rotation and horizontal position and adjust the operating state of the fuselage. When the sweeping robot needs to be charged, it can quickly return to the charging station through its own XOY coordinates; after charging, it can also return to the sweeping place to continue cleaning through the trip record, and the efficiency is greatly improved. For concave or dead-angle terrain, make travel records during the cleaning process, which can be cleaned smoothly |
| Visual sweeper  | The sweeper that uses visual navigation has a real "eye"-a camera, which shoots the surrounding environment and objects through the camera, and uses a complex algorithm to enable the robot to locate by sensing an optical image composed of light spots with different brightness. These optical images look different from different angles. By continuously collecting these image information, the robot can locate on the map built by itself, so as to know which positions have been swept and which places need to be cleaned. |
| Laser sweeper  | The laser sweeper uses lidar for navigation. How does laser navigation achieve positioning? First, the radar uses a laser to scan the surrounding environment. The laser will reflect back when it encounters an object. The distance from different points on the surface of the object to the radar is different. Calculating the time from the laser emission to the reflection can get the sweeper to different objects. The distance, at the same time, outlines the entire environment, achieving the purpose of positioning and building a map. The research on laser positioning theory is also relatively mature, so it is currently the most adopted technology. |
| OSS | Object Storage Service |